Method: customers.v2.Schemas.list

擷取所有結構定義。

HTTP 要求

GET https://cloudidentityscim.googleapis.com/v1beta1/customers/{customerId}/v2/Schemas

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
customerId

string

這是必要旗標,客戶 ID。

要求主體

要求主體必須為空白。

回應主體

來自房源結構化資料的回覆訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "schemas": [
    string
  ],
  "resources": [
    {
      object (Schema)
    }
  ],
  "totalResults": integer
}
欄位
schemas[]

string

傳回資源的結構定義。

resources[]

object (Schema)

要求的資源清單。

totalResults

integer

結果總數。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-identity.groups.readonly
  • https://www.googleapis.com/auth/cloud-identity.groups
  • https://www.googleapis.com/auth/cloud-identity
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/admin.directory.user.readonly
  • https://www.googleapis.com/auth/admin.directory.user

詳情請參閱授權指南。